## Macro BOOST_LOG_DECLARE_LOGGER_TYPE

BOOST_LOG_DECLARE_LOGGER_TYPE — The macro declares a logger class that inherits a number of base classes.

## Synopsis

    // In header: <boost/log/sources/basic_logger.hpp>

    BOOST_LOG_DECLARE_LOGGER_TYPE(type_name, char_type, base_seq, threading)

## Description

Parameters:

`base_seq` | A Boost.Preprocessor sequence of type identifiers of the base classes templates
`char_type` | The character type of the logger. Either char or wchar_t expected.
`threading` | A threading model class
`type_name` | The name of the logger class to declare